/*  base2z.h

    Mark Woolrich & Mark Jenkinson, FMRIB Image Analysis Group

    Copyright (C) 1999-2000 University of Oxford  */

/*  Part of FSL - FMRIB's Software Library
    WWW:      http://www.fmrib.ox.ac.uk/fsl
    Email:    fsl@fmrib.ox.ac.uk
    
    Developed at FMRIB (Oxford Centre for Functional Magnetic Resonance
    Imaging of the Brain), Department of Clinical Neurology, Oxford
    University, Oxford, UK
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at
    your option) any later version.
    
    This program is distributed in the hope that it will be useful, but in
    order that the University as a charitable foundation protects its
    assets for the benefit of its educational and research purposes, the
    University makes clear that no condition is made or to be implied, nor
    is any warranty given or to be implied, as to the accuracy of FSL, or
    that it will be suitable for any particular purpose or for use under
    any specific conditions.  Furthermore, the University disclaims all
    responsibility for the use which is made of FSL.  See the GNU General
    Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
    USA */

#if !defined(__base2z_h)
#define __base2z_h

#include <iostream>
#include <fstream>
#include "newmatap.h"
#include "newmatio.h"

using namespace NEWMAT;

namespace FILM {
  
  class Base2z
    {
    public:
      Base2z()
	{}
      
      virtual ~Base2z() { delete base2z; }      
      
      float convertlogp2z(float logp); 
      float logp2largez(float logp);
      float logbeta(float v, float w);

      virtual bool issmalllogp(float logp) = 0;

    private:
      
      const Base2z& operator=(Base2z&);
      Base2z(Base2z&);
      
      static Base2z* base2z;

    };

}

#endif

