///////////////////////////////////////////////////////////////////////////
//
// @module filter.h |
//
// This file declares functions of image filtering.
//
// Copyright 2000 Yongyue Zhang (yongyue@fmrib.ox.ac.uk), All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////

#ifndef __IMFILTER__H_
#define __IMFILTER__H_

#include "imagecore.h"
#include "zmath.h"

void GaussianBlur(ZImageBase& image, float sigma, bool b2d=false);
void GaussianBlur(ZGrayFloatImage& image, float x_sigma, float y_sigma, float z_sigma, bool b2d=false);

ZImageBase*	Gradient(const ZImageBase& image);
ZImageBase*	XGradient(const ZImageBase& image);
ZImageBase*	YGradient(const ZImageBase& image);
ZImageBase*	Gradient3D(const ZImageBase& image);

#endif
