///////////////////////////////////////////////////////////////////////////
//
// @module lu.h |
//
// This file declares functions for LU decomposing.
//
// Copyright 2000 Yongyue Zhang (yongyue@fmrib.ox.ac.uk), All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////

#ifndef __LU_H_  // prevent multiple includes
#define __LU_H_

bool LUdcmp(ZMatrix<double>& A);
bool LUdcmp(ZMatrix<double>& A, ZVector<int>& indx);
bool LUdcmp(ZMatrix<float>& A);
bool LUdcmp(ZMatrix<float>& A, ZVector<int>& indx);
void LUbksb (const ZMatrix<double>& A, const ZVector<int>& indx, ZVector<double>& B );
void LUbksb (const ZMatrix<float>& A, const ZVector<int>& indx, ZVector<float>& B );

#endif
